=== debian/changelog ===
dotlrn (2.5.0+dfsg-10) unstable; urgency=low

  * Updated postgresql suggestion in control file. Closes: #732495
  * Policy bumped to 3.9.5 without changes.

 -- Hector Romojaro <hector.romojaro@gmail.com>  Wed, 18 Dec 2013 14:54:11 +0100

dotlrn (2.5.0+dfsg-9) unstable; urgency=low

  * Fixed Vcs-* fields in control file.
  * Policy bumped to 3.9.4 without changes.
  * Changed maintainer e-mail address.
  * Fixed dependencies in control file. Closes: #725257
  * Fixed watch file (added .tar.gz and other file extensions)
  * Updated copyright file to 1.0 format.
  * Fixed local config management.
    - Updated README.Debian
    - Autogenerated config.local file with database
      local settings.
    - Added dotlrn.preinst file with a fix for old
      postinst modified config.tcl.

 -- Hector Romojaro <hector.romojaro@gmail.com>  Mon, 07 Oct 2013 11:56:04 +0200

dotlrn (2.5.0+dfsg-8) unstable; urgency=low

  * Fixed call to ucf on postrm. Closes: #677060
  * Fixed interpreters-path.patch
  * Policy bumped to 3.9.3 without changes.

 -- Hector Romojaro <hromojaro@dia.uned.es>  Thu, 28 Jun 2012 16:32:23 +0200

dotlrn (2.5.0+dfsg-7) unstable; urgency=low

  * Updated to 3.0 packaging format. Closes: #661038

 -- Hector Romojaro <hromojaro@dia.uned.es>  Sat, 03 Mar 2012 12:54:39 +0100

dotlrn (2.5.0+dfsg-6) unstable; urgency=low

  * Updated Dutch translation. Closes: #660229 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 20 Feb 2012 19:31:50 +0100

dotlrn (2.5.0+dfsg-5) unstable; urgency=low

  * Updated Catalan translation. Closes: #632205
  * Fixed lintian overrides
  * Added build-arch|dep targets to debian/rules to make lintian happy.
  * Policy bumped to 3.9.2 without changes. 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Tue, 01 Nov 2011 16:02:51 +0100

dotlrn (2.5.0+dfsg-4) unstable; urgency=low

  * Fixed piuparts failed-testing error in postinst script 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Wed, 06 Apr 2011 06:58:48 +0200

dotlrn (2.5.0+dfsg-3) unstable; urgency=low

  * Policy bumped to 3.9.1 without changes.
  * Removed recursive chown in postinst (see #606554). 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 13 Dec 2010 12:14:25 +0100

dotlrn (2.5.0+dfsg-2) unstable; urgency=high

  * Fixed severe vulnerability in the api-browser: it was possible to pass  
    to the query parameter "path" a relative path, which might contain path
    traversals like ../../.. . With these all files with read permissions
    can be delivered via the server. Applied Patch: 
    http://fisheye.openacs.org/changelog/OpenACS/?cs=oacs-5-5:gustafn:20101125091953
  * Updated translations:
    - Japanease. Closes: #602151
    - Vietnamese. Closes: #599609
    - Czech. Closes: #599608

 -- Hector Romojaro <hromojaro@dia.uned.es>  Thu, 25 Nov 2010 13:48:29 +0100

dotlrn (2.5.0+dfsg-1) unstable; urgency=high

  * Removed non DFSG files, check README.Debian for details. Closes: #591210
  * Fixed postinst script that failed to reload postgresql. 
  * Success to install even if postgresql is not installed. Closes: #595499
  * Added info about PostgreSQL dependency to README.Debian.

 -- Hector Romojaro <hromojaro@dia.uned.es>  Sun, 05 Sep 2010 01:24:37 +0200

dotlrn (2.5.0-4) unstable; urgency=low

  * Updated translations:
    - Spanish. Closes: #579513
    - Danish. Closes: #580786
  * Fixed bashisms. Closes: #581080 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Tue, 11 May 2010 09:56:38 +0200

dotlrn (2.5.0-3) unstable; urgency=low

  * Updated standards to 3.8.4 (no changes required)
  * Added debian/source/format file, with value of 1.0.
  * Updated translations:
    - Vietnamese.
    - Czech. Closes: #565881
    - Portuguese. Closes: #575169

 -- Hector Romojaro <hromojaro@dia.uned.es>  Tue, 20 Apr 2010 19:13:36 +0200

dotlrn (2.5.0-2) unstable; urgency=low

  * Changed aolserver4-daemon dependency to >= 4.5.1-11
  * Added watch file. 
  * Added get-orig-source on debian/rules.
  * debian/control reviewed by the debian-l10n-english team
  * Template bugs (thanks Thomas Mueller, Christian Perrier
  and Justin B. Rye)
    - Fixed some typo and wrong text (closes: #562897, #562893)
    - Use PostgreSQL instead of postgresql (closes: #562894)
    - Removed dotlrn/notconfigured and dotlrn/pg_grant_access_manual*
    (closes: #562936, #562899), and added manual database access 
    instructions to README.Debian.
    - Moved dotlrn/create_tables info to README.Debian.
    - Removed dotlrn/dba_confirm.
    - Reviewed by the debian-l10n-english team
  * Debconf Translation Updates
    - Norwegian.
    - Russian. Closes: #564101
    - Slovak. Closes: #564094
    - Swedish. Closes: #564128
    - Finnish. Closes: #564492
    - French. Closes: #564179
    - German. Closes: #564672
    - Portuguese. Closes: #565345
    - Catalan
    - Czech
    - Danish
    - Spanish
    - Euskara
    - Galician
    - Italian
    - Korean
    - Malay
    - Dutch
    - Brazilian Portuguese
    - Vietnamese
  
 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 18 Jan 2010 16:45:19 +0100

dotlrn (2.5.0-1) unstable; urgency=low

  * New upstream release
  * Changed aolserver4-daemon dependency to >= 4.5.1-7
  * Updated to the new aolserver config environment:
    - Basic config stored on /etc/aolserver4/conf.d/openacs.sh.
    - Removed init script, now the instance is started by the
      aolserver init script.
    - Removed /etc/default/openacs.
    - Updated daemontools script and README.
  * Removed tsearch checks, because it is built into postgresql since 8.3.
  * Removed README.tsearch
  * Added README.source
  * Added tinymce and Crystal iconset for xinha licenses to copyright file.
  * Removed Xinha Tango Iconset because of its non DFSG compliant license.

 -- Hector Romojaro <hromojaro@dia.uned.es>  Sat, 21 Nov 2009 00:22:56 +0100

dotlrn (2.4.1-3) unstable; urgency=low

  [ Hector Romojaro ]
  * Policy bumped to 3.8.2.

  [ Francesco Paolo Lovergine ]
  * Added Homepage and Vcs-* fields.

