=== debian/control ===
Source: dotlrn 
Section: web
Priority: optional
Maintainer: Hector Romojaro <hector.romojaro@gmail.com>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends-Indep: po-debconf
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-tcltk/dotlrn/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-tcltk/dotlrn/trunk
Homepage: http://www.dotlrn.org/

Package: dotlrn
Architecture: all
Depends: ${misc:Depends}, aolserver4-daemon (>= 4.5.1-11), aolserver4-nspostgres, aolserver4-nssha1, postgresql-client, 
 adduser, tcl-thread | tclthread (>= 1:2.6.5-3), tcllib, tcl (>= 8.4), wwwconfig-common, debconf, xotcl, 
 aolserver4-xotcl, imagemagick, zip, unzip, tdom (>= 0.8.3~20080525), ucf 
Suggests: postgresql, daemontools, daemontools-run
Description: e-learning portal system based on OpenACS
 dotLRN is a complete Learning Management System that integrates course
 and content administration tools and collaborative tools into a
 sophisticated portal system.
