## dotlrn 2.5.0+dfsg2

=== debian/changelog ===
dotlrn (2.5.0+dfsg2-1) unstable; urgency=low

  * debhelper >= 9 is now required.
  * New missing-sources directory. Closes: #744319
    - Includes some minified javascript sources, for both xinha and tinymce.
    - Details in missing-sources/README
    - Updated copyright file to include them, and also xinha license.
  * Deleted some .jar files included in the original tarball. Please see 
    README.Debian for details.
  * Fixed privacy-breach-logo and privacy-breach-generic lintian errors in 
    some files.
    - See patches/privacy-breach.patch for more details
  * Added source/lintian-overrides and updated dotlrn.lintian-overrides

 -- Hector Romojaro <hector.romojaro@gmail.com>  Fri, 27 Dec 2013 15:38:20 +0100
