=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Hector Romojaro <hector.romojaro@gmail.com>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends-Indep: po-debconf
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>=9)
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-tcltk/dotlrn/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-tcltk/dotlrn/trunk
