=== debian/watch ===
version=3

opts="uversionmangle=s/\.\?revision_id\=(.*)//,dversionmangle=s/\+dfsg2//" \
http://openacs.org/projects/dotlrn/download download/dotlrn-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))(.*) debian debian/repackage-upstream-src
